列出本地化
命名空间:microsoft.graph
检索所有本地化品牌对象,包括默认品牌。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | User.Read、Organization.Read.All、User.ReadBasic.All、User.Read.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| Application | 不支持。 |
HTTP 请求
GET /organization/{organizationId}/branding/localizations
可选的查询参数
此方法仅 $select 支持 OData 查询参数来帮助自定义响应。 若要了解一般信息,请参阅 OData 查询参数。
请求标头
| 名称 | 说明 |
|---|---|
| Authorization | Bearer {token}。必需。 |
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应正文中返回 200 OK 响应代码和 组织BrandingLocalization 对象的集合。
示例
请求
下面展示了示例请求。
GET https://graph.microsoft.com/v1.0/organization/84841066-274d-4ec0-a5c1-276be684bdd3/branding/localizations/
响应
HTTP/1.1 200 OK
Content-Type: application/json
{
"@odata.context": "https://graph.microsoft.com/v1.0/$metadata#organization('84841066-274d-4ec0-a5c1-276be684bdd3')/branding/localizations",
"value": [
{
"@odata.id": "https://graph.microsoft.com/v2/84841066-274d-4ec0-a5c1-276be684bdd3/directoryObjects/$/Microsoft.DirectoryServices.Organization('84841066-274d-4ec0-a5c1-276be684bdd3')//localizations/0",
"id": "0",
"backgroundColor": "",
"backgroundImageRelativeUrl": "c1c6b6c8-ctwpxrbizfcsectmtir3yvna3hrhaib9j7ueqv0ldne/logintenantbranding/0/illustration?ts=637635061764954395",
"bannerLogoRelativeUrl": "c1c6b6c8-ctwpxrbizfcsectmtir3yvna3hrhaib9j7ueqv0ldne/logintenantbranding/0/bannerlogo?ts=637635061773126717",
"cdnList": [
"secure.aadcdn.microsoftonline-p.com",
"aadcdn.msftauthimages.net",
"aadcdn.msauthimages.net"
],
"signInPageText": "Contoso",
"squareLogoRelativeUrl": "c1c6b6c8-ctwpxrbizfcsectmtir3yvna3hrhaib9j7ueqv0ldne/logintenantbranding/0/tilelogo?ts=637635061781098977",
"usernameHintText": ""
},
{
"@odata.id": "https://graph.microsoft.com/v2/84841066-274d-4ec0-a5c1-276be684bdd3/directoryObjects/$/Microsoft.DirectoryServices.Organization('84841066-274d-4ec0-a5c1-276be684bdd3')//localizations/fr",
"id": "fr",
"backgroundColor": "#FFFF33",
"backgroundImageRelativeUrl": null,
"bannerLogoRelativeUrl": null,
"cdnList": [],
"signInPageText": "Welcome",
"squareLogoRelativeUrl": null,
"usernameHintText": "hint"
}
]
}
反馈
提交和查看相关反馈